View Issue Details

IDProjectCategoryView StatusLast Update
00133Development Survey Designpublic2009-06-02 22:08
Reporterbkgray Assigned Tolemeur  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.85 
Summary00133: Conditions based on attribute fields
Description

I would like to be able to write conditions that include references to attribute fields. For example: if attribute 1 is the student's grade level, then some questions would be presented only if the student is in grade 6.

TagsNo tags attached.

Activities

lemeur

lemeur

2009-03-04 22:26

developer   ~07233

Apart from the work to have the token table available before the condition design can begin, I would estimate this work to at least 3 days.

lemeur

lemeur

2009-03-17 23:17

developer   ~07390

Something to remember, in the way to implement this, is that the attributes values may be confidential so that they shouldn't be displayed in the page (even in javascript).

lemeur

lemeur

2009-04-24 14:55

developer   ~07684

currently in test phase.

lemeur

lemeur

2009-04-24 15:13

developer   ~07685

Token value confidentiality has been implemented only when possible, that is to say:
1- when survey is in question per question mode
OR
2- For any survey: when the other part of the condition isn't a question answer
OR
3- in Group/Group surveys when the other part of the condition is the answer of a question fom a previous page

Issue History

Date Modified Username Field Change
2005-07-02 01:48 bkgray New Issue
2005-07-02 01:48 bkgray Operating System => Linux RedHat ES-3
2005-07-02 01:48 bkgray Webserver => Apache
2005-07-02 01:48 bkgray MySQL Version => 3.23
2005-07-02 01:48 bkgray PHP Version => 4.3.2
2005-07-02 01:56 c_schmitz Status new => acknowledged
2007-06-07 16:33 user474 Status acknowledged => assigned
2007-06-07 16:33 user474 Assigned To => user474
2008-02-15 16:55 c_schmitz Status assigned => acknowledged
2009-03-03 14:14 c_schmitz Assigned To user474 =>
2009-03-03 14:14 c_schmitz Project User patches => Development
2009-03-03 14:29 c_schmitz Status acknowledged => new
2009-03-03 22:34 c_schmitz Summary Enhancements to branch conditions => Conditions based on attribute fields
2009-03-04 22:26 lemeur Note Added: 07233
2009-03-16 11:12 c_schmitz Note View State: 7233: private
2009-03-16 11:12 c_schmitz Project Development => User patches
2009-03-16 11:14 c_schmitz Note View State: 7233: public
2009-03-16 11:14 c_schmitz Project User patches => Development
2009-03-17 23:17 lemeur Note Added: 07390
2009-03-17 23:18 lemeur Status new => assigned
2009-03-17 23:18 lemeur Assigned To => lemeur
2009-04-24 14:55 lemeur Note Added: 07684
2009-04-24 14:55 lemeur Status assigned => confirmed
2009-04-24 15:13 lemeur Note Added: 07685
2009-05-17 22:48 lemeur Status confirmed => resolved
2009-05-17 22:48 lemeur Fixed in Version => 1.85
2009-05-17 22:48 lemeur Resolution open => fixed
2009-06-02 22:08 c_schmitz Status resolved => closed